Core - Bug # 40240

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have

Author: Christian Kuhn Category:

Created: 2012-08-26 Assigned To:

Updated: 2012-08-26 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subiject: Remove compatibility layer of new classes in 6.0

Description

There is no compatibility layer needed for classes that were added

with 6.0. This first patch affects the whole lots of classes in t3lib/,

especially some new 6.0 cache classes, the category collection and

the whole FAL layer. The compatibily files are removed, deleted from

core_autoload and the migration class_alias file and all other

occurences of the class names within the core are cleaned up.

Related issues:

related to Core - Task # 40244: Remove compat layer for new 6.0 classes - 2 Resolved 2012-08-26
related to Core - Task # 40360: Remove compat layer for module "about" Resolved 2012-08-29
related to Core - Task # 40361: Remove compat layer for module "aboutmodules"” Resolved 2012-08-29

Associated revisions

Revision 8f97a968 - 2012-08-26 20:21 - Christian Kuhn

[TASK] Remove compat layer for new 6.0 classes

There is no compatibility layer needed for classes that were added
with 6.0. This first patch affects lots of classes in t3lib/,

especially some new 6.0 cache classes, the category code and

the whole FAL layer. The compatibily files are removed, deleted from
core_autoload and the migration class_alias file and all other
occurences of the class names within the core are cleaned up.

Change-Id: 18e81af7bf99a9d47866e1060dc5554f8297af5¢ca
Resolves: #40240

Related: #40095

Releases: 6.0

Reviewed-on: http://review.typo3.org/14120

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 238f4d0e - 2012-08-26 23:16 - Christian Kuhn

[TASK] Remove compat layer for new 6.0 classes - 2
http://review.typo3.org/14120

Remove the name space compatibility layer for new 6.0 classes in
t3lib/. This second patch finishes the work started with #40240
and removes the compatibily layer for the log API, and the new
configuration and rootline handling.

All class occurences that still referenced the old class names

in method headers and comments are adapted.

Change-Id: Icb49db084dc25ed7b1a0b2e092c3b7a4e672b01c
Resolves: #40244

Related: #40095

Related: #40240

Releases: 6.0

Reviewed-on: http://review.typo3.org/14122

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 43baefaa - 2012-08-29 01:26 - Nicole Cordes

[TASK] Remove compat layer for about module

Patch deletes compat layer for class CustomSectionsinterface as it's newly

introduced in TYPO3 6.0

Change-Id: 122b9ffa117099d0ca86b0e8fb50a8d52c6182b8b
Resolves: #40360

Related: #40095

Related: #40240

Releases: 6.0

Reviewed-on: http://review.typo3.org/14173

Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik

Revision 7d921fae - 2012-08-30 07:58 - Nicole Cordes

[TASK] Remove compat layer for backend module

Patch replaces calls of old extension classes which were replaced
in TYPO3 6.0

Change-Id: 134b170f3e7471835ccac553b0dc19eb363a4a30c
Resolves: #40369

Related: #40095

Related: #40240

Releases: 6.0

Reviewed-on: http://review.typo3.org/14210

Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

Revision 4¢1845e5 - 2012-08-30 07:58 - Nicole Cordes
[TASK] Remove compat layer for backend module

Patch replaces calls of old extension classes which were replaced
in TYPO3 6.0

Change-Id: 134b170f3e7471835ccac553b0dc19eb363a4a30c
Resolves: #40369

Related: #40095

Related: #40240

Releases: 6.0

Reviewed-on: http://review.typo3.org/14210

Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

Revision d1739468 - 2012-09-22 10:45 - Nicole Cordes

[TASK] Use namespaced class name in adodb flexform

Resolves: #40363

Related: #40095

Related: #40240

Releases: 6.0

Change-Id: Ic6294e41096c2db1327ad77d3d4fd00f93364ea0
Reviewed-on: http://review.typo3.org/14177

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 18e8d9c6 - 2013-03-31 21:16 - Nicole Cordes

[TASK] Remove compat layer for backend module

Patch replaces calls of old extension classes which were replaced
in TYPO3 6.0

Change-Id: 16b96d54e7505d14cd4f1909f8fda9559ec79a951
Resolves: #40369

Related: #40095

Related: #40240

Releases: 6.1, 6.0

Reviewed-on: https://review.typo3.org/14209

Reviewed-by: Wouter Wolters

Tested-by: Wouter Wolters

Reviewed-by: Stefan Neufeind

Tested-by: Stefan Neufeind

Revision 991b337d - 2013-04-26 19:33 - Nicole Cordes

[TASK] Remove compat layer for backend module

Patch replaces calls of old extension classes which were replaced
in TYPO3 6.0

Change-Id: 16b96d54e7505d14cd4f1909f8fda9559ec79a951
Resolves: #40369

Related: #40095

Related: #40240

Releases: 6.1, 6.0

Reviewed-on: https://review.typo3.org/20196

Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2012-08-26 20:16 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14120

#2 - 2012-08-26 20:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8f97a96832571b2dacb930ef07b326fed7713f99.
